.search-bar {
    font-size: 18px;
    display: flex;
    flex: 1;
    height: 35px;
    width: 0;
    padding-left: 10px;
    border: 1px solid rgb(184, 184, 184);
    box-shadow: inset 1px 2px 5pxrgba(0, 0, 0, 0.05);
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}

.search-bar::placeholder{
    font-size: 18px;
}

.header{
    height: 55px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    position: fixed;
    top: 0px;
    left: 0px;
    right: 0px;

    background-color: white;
    border-bottom-width: 1px;
    border-bottom-color: rgb(215, 215, 215);
    border-bottom-style: solid;

    z-index: 100;
}

.left-section{
    display: flex;
    align-items: center;
    margin-right: 38px;
}

.middle-section{
    display: flex;
    flex: 1;
    margin-left: 20px;
    margin-right: 5px;
    max-width: 670px;
    justify-content: center;
    align-items: center;
}

.right-section{
    display: flex;
    justify-content: space-between;
    width: 170px;
    align-items: center;
    flex-shrink: 0;
    margin-left: 45px;
}

.hamburger-menu{
    height: 65px;
    cursor: pointer;
}

.yt-logo{
    height: 56px;
    width: 110px;
    cursor: pointer;
    overflow: hidden;
    margin-right: 0;
}

.current-profile-icon{
    height: 35px;
    border-radius: 80px;
    border: none;
    margin-right: 20px;
    cursor: pointer;
    margin-left: 0;
}


.search-icon{
    height: 20px;
    width: 20px;
    margin-top: 1px;
}

.search-button{
    height: 39px;
    width: 66px;
    background-color: rgb(242, 242, 242);
    overflow: hidden;
    cursor: pointer;
    border-style: solid;
    border-width: 1px;
    border-color: rgb(201, 201, 201);
    box-shadow: inset 1px 2px 5pxrgba(0, 0, 0, 0.05);
    margin-left: -1px;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
    overflow: visible;

}

.voice-search-button .tooltip,
.bell-icon-button .tooltip,
.create-icon-button .tooltip,
.search-button .tooltip{
    overflow: visible;
    position: absolute;
    background-color: rgb(113, 113, 113);
    color: white;
    border-radius: 4px;
    font-size: 12px;
    padding-top: 8px;
    padding-bottom:8px;
    padding-left: 6px;
    padding-right: 6px;
    bottom: -50px;
    opacity: 0;
    transition: opacity 0.18s;
    pointer-events: none;
    white-space: nowrap;
}

/*
.search-button .tooltip{
    overflow: visible;
    position: absolute;
    background-color: rgb(113, 113, 113);
    color: white;
    border-radius: 4px;
    font-size: 12px;
    padding-top: 8px;
    padding-bottom:8px;
    padding-left: 6px;
    padding-right: 6px;
    bottom: -50px;
    opacity: 0;
    transition: opacity 0.18s;
    pointer-events: none;
}
*/

.search-button:hover .tooltip, 
.voice-search-button:hover .tooltip,
.bell-icon-button:hover .tooltip,
.create-icon-button:hover .tooltip{
    opacity: 1;
}


.voice-search-button:hover{
    background-color: rgb(219, 219, 219);
}

.voice-search-button{
    background-color: rgb(246, 246, 246);
    width: 45px;
    border-radius: 60px;
    margin-left: 10px;
    cursor: pointer;
    border: none;
}

.voice-search-button,
.search-button,
.create-icon-button,
.bell-icon-button{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.voice-search-icon{
    border-radius: 60px;
    height: 19px;
    width: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
}

.bell-icon{
    height: 28px;
    width: 30px;
    border-radius: 60px;
    padding-top: 5px;
    padding-bottom: 5px;
    cursor: pointer;

}


.bell-icon:hover{
    background-color: rgb(210, 208, 208);
}

.bell-icon-button{
    background-color: white;
    width: 45px;
    border-radius: 80px;
    cursor: pointer;
    border: none;
}

.bell-icon-button:hover{
    background-color: rgb(210, 208, 208);
}

.create-icon{
    height: 28px;
    width: 32px;
    padding-top: 5px;
    padding-bottom: 5px;
    border-radius: 20px;
}


.create-icon-button{
    background-color: white;
    width: 45px;
    border-radius: 80px;
    cursor: pointer;
    border: none;
}

.create-icon-button:hover{
    background-color: rgb(210, 208, 208);
}

.bell-icon-container{
    position: relative;
}

.notification-count{
    position: absolute;
    top: 4px;
    right: 5px;
    background-color: rgb(208, 0, 0);
    color: white;
    border-radius: 20px;
    font-size: 12px;
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
}